Batch add multiple files to vector store
Adds multiple files to a vector store in a single batch operation.
Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store for which to create a File Batch.
Body
Request body for creating a vector store file batch.
A list of File IDs that the vector store should use. If attributes or chunking_strategy are provided at the root level, they will be applied to all files in the batch. Mutually exclusive with 'files'.
A list of objects that each include a file_id plus optional attributes or chunking_strategy. Use this when you need to override metadata for specific files. The global attributes or chunking_strategy will be ignored. Mutually exclusive with 'file_ids'.
Global attributes to apply to all files if using 'file_ids'. Ignored if using 'files'.
Global chunking strategy to apply to all files if using 'file_ids'. Ignored if using 'files'.
- Option 1
- Option 2
Response
OK
A batch of files attached to a vector store.
The identifier, which can be referenced in API endpoints.
The object type, which is always 'vector_store.file_batch'.
The Unix timestamp (in seconds) for when the vector store files batch was created.
-9007199254740991 <= x <= 9007199254740991The ID of the vector store that the File is attached to.
The status of the vector store files batch. 'in_progress' means files are being processed, 'completed' means all files have been processed, 'cancelled' means the batch was cancelled, 'failed' means the batch failed.
in_progress, completed, cancelled, failed File processing status counts.